System Requirements

From Globalsight
Jump to: navigation, search
Getting Started Guide
Jump to: Home | Main User Guide
Gs color logo on black bg.jpg
General
About GlobalSight
My Jobs | My Activities
My Account
Planning
  1. Create jobs
  2. Add job comments
  3. Quote
  4. Approve quotes
  5. Dispatch jobs
Implementing
Making DTP and LSO Review Changes

Finalizing
Downloading the Final Files
Archiving Jobs

Support
Support | FAQs | Training
System Requirements
Logging in
Reports
Related Information:








GlobalSight is a web-based application that runs in your browser.

Users Software
All Microsoft Internet Explorer 9 or later. Microsoft Internet Explorer 10 and 11 for tabbed browsing. Other browsers are supported with best effort only.
All Adobe Acrobat Reader for reading PDF versions of documents
Project Managers/Customers Some parts of the application require Java. You are prompted to install, if needed, or you can also download directly from the Oracle website. The versions supported are:
  • Latest Java Runtime Environment (JRE) version 1.8

Generally, most browsers running on 64-bit Windows are 32-bit applications, thus you also need install the 32-bit (i586) version of Java. You can install both 64 and 32 bit versions without conflict. If you have turned on "Enable Enhanced Protected Mode" in Internet Options on 64-bit Windows, then Internet Explorer will run as 64-bit application.

Google Chrome, Microsoft Edge, and 64-bit Mozilla Firefox don't support Java plugin.

For any security issues using Java, consider adjusting your security levels as described here.

GlobalSight Desktop Icon 8.5, for those who prefer to create jobs from their own desktop
Microsoft Excel for viewing reports
Translators Microsoft Excel or Microsoft Word
Local TM System. For example, SDL Trados, OmegaT
Reviewers Microsoft Excel or Microsoft Word